<include file="public@header" />
</head>
<body>
	<div class="wrap">
		<ul class="nav nav-tabs">
			<li class="active"><a>{:lang('PAID_CONTENT_ORDER_LIST')}</a></li>

		</ul>
		<form class="well form-inline margin-top-20" name="form1" method="post" action="">
			{:lang('ORDER_STATUS')}: 
			<select class="form-control" name="status">
				<option value="">{:lang('ALL')}</option>
                <volist name="status" id="v">
                    <option value="{$key}" <if condition="input('request.status') neq '' && input('request.status') eq $key">selected</if> >{$v}</option>
                </volist>		
			</select>

			{:lang('ORDER_TYPE')}: 
			<select class="form-control" name="type">
				<option value="">{:lang('ALL')}</option>
                <volist name="type" id="v">
                    <option value="{$key}" <if condition="input('request.type') neq '' && input('request.type') eq $key">selected</if> >{$v}</option>
                </volist>		
			</select>

			{:lang('SUBMISSION_TIME')}: 
			<input class="form-control js-bootstrap-date" name="start_time" id="start_time" autocomplete="off" value="{:input('request.start_time')}" aria-invalid="false" style="width: 110px;"> - 
            <input class="form-control js-bootstrap-date" name="end_time" id="end_time" autocomplete="off" value="{:input('request.end_time')}" aria-invalid="false" style="width: 110px;">
			{:lang('USER_ID')}: 
            <input class="form-control" type="text" name="uid" style="width: 200px;" value="{:input('request.uid')}"
                   placeholder="{:lang('PLEASE_ENTER_USER_ID_NICKNAME')}">
                   
			{:lang('KEYWORD')}:  
            <input class="form-control" type="text" name="keyword" style="width: 200px;" value="{:input('request.keyword')}"
                   placeholder="{:lang('PLEASE_ENTER_ORDER_NUMBER')}">
			<input type="button" class="btn btn-primary" value="{:lang('SEARCH')}" onclick="form1.action='{:url('Paidprogram/orderlist')}';form1.submit();"/>
			<a class="btn btn-danger" href="{:url('Paidprogram/orderlist')}">{:lang('CLEAR')}</a>
			<input type="button" class="btn btn-success" value="{:lang('EXPORT')}" onclick="form1.action='{:url('Paidprogram/export')}';form1.submit();"/>
			
			
		</form>	
		
		<form method="post" class="js-ajax-form" >
			<table class="table table-hover table-bordered">
				<thead>
					<tr>
						<th>ID</th>
						<th>{:lang('USERNAME')}</th>
						<th>{:lang('POST_USER_NAME')}</th>
						<th>{:lang('PAID_CONTENT')}</th>
						<th>{:lang('PAYMENT_METHOD')}</th>
						<th>{:lang('ORDER_STATUS')}</th>
						<th>{:lang('ORDER_NUMBER')}</th>
						<th>{:lang('THIRD_PARTY_PAYMENT_ORDER_NUMBER')}</th>
						<th>{:lang('AMOUNT')}</th>
						<th>{:lang('ORDER_TIME')}</th>
						<th>{:lang('PROCESSING_TIME')}</th>
						<th>{:lang('ACTIONS')}</th>
					</tr>
				</thead>
				<tbody>
					<foreach name="lists" item="vo">
					<tr>
						<td align="center">{$vo.id}</td>
						<td>{$vo['userinfo']['user_nickname']} ({$vo['uid']})</td>
						<td>{$vo['touserinfo']['user_nickname']} ({$vo['touid']})</td>
						<td>{$vo['object_name']}({$vo['object_id']})</td>				
						<td>
                            {$type[$vo['type']]}
                        </td>
                        <td>
                            {$status[$vo['status']]}
                        </td>				
						<td>{$vo['orderno']}</td>
						<td>{$vo['trade_no']}</td>
						<td>{$vo['money']}</td>
						<td>{:date('Y-m-d H:i:s',$vo['addtime'])}</td>						
						<td>
						 <if condition="$vo['edittime'] gt '0'" >
						    {:date('Y-m-d H:i:s',$vo['edittime'])}
						 <else/>
                             --
						 </if>						
						 </td>
						<td>	
							<if condition="$vo['status'] eq 0 ">
                            <a class="btn btn-xs btn-danger js-ajax-dialog-btn" href="{:url('Paidprogram/setPay',array('id'=>$vo['id']))}" >{:lang('EXCHANGE_DIAMONDS')}</a>
                            </if>
						</td>
					</tr>
					</foreach>
				</tbody>
			</table>
			<div class="pagination">{$page}</div>

		</form>
	</div>
	<script src="__STATIC__/js/admin.js"></script>
</body>
</html>